<?php
//Incluimos conexion a la base de 
date_default_timezone_set('America/Lima');
require_once('../config/Conexion.php');

Class RegistroIngreso
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
    
      public function insertar($idcategoria_ingreso,$tipo_trabajo,$descripcion,$folio,$archivador,$color,$equivalencia,$precio,$condicion) {


        $sql = "INSERT INTO concepto_ingreso(idcategoria_ingreso,tipo_trabajo,descripcion,archivador,folio,color,equivalencia,precio,condicion) 
                VALUES ('$idcategoria_ingreso','$tipo_trabajo','$descripcion','$archivador','$folio','$color','$equivalencia','$precio','$condicion')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idconcepto_ingreso,$idcategoria_ingreso,$tipo_trabajo,$descripcion,$folio,$archivador,$color,$equivalencia,$precio,$condicion) {
        $sql = "UPDATE concepto_ingreso SET 
                idcategoria_ingreso = '$idcategoria_ingreso', 
                tipo_trabajo = '$tipo_trabajo',
                descripcion = '$descripcion', 
                archivador = '$archivador',                 
                folio = '$folio',
                color = '$color',
                equivalencia = '$equivalencia',
                precio = '$precio',
                condicion = '$condicion'
                WHERE idconcepto_ingreso = '$idconcepto_ingreso'";
        return ejecutarConsulta($sql);
    }

    public function listarregistroingreso()
    {
      $sql="SELECT c.idconcepto_ingreso,c.idcategoria_ingreso,c.tipo_trabajo,c.descripcion,c.archivador,c.folio,e.nombre,c.color,c.equivalencia,c.precio,c.condicion FROM concepto_ingreso c join categoria_ingreso e on e.idcategoria_ingreso=c.idcategoria_ingreso";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idconcepto_ingreso)
    {
      $sql="SELECT * FROM concepto_ingreso where idconcepto_ingreso='$idconcepto_ingreso'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idconcepto_ingreso)
    {
      $sql="DELETE FROM concepto_ingreso where idconcepto_ingreso=$idconcepto_ingreso'";
      return ejecutarConsulta($sql);
    }

    public function selectIngreso($idcategoria_ingreso)
    {
      $sql="SELECT * FROM concepto_ingreso where idcategoria_ingreso='$idcategoria_ingreso'";
      return ejecutarConsulta($sql);

    }



}


?>